# Created by pyp2rpm-3.3.0
%global pypi_name packaging

%bcond_with doc

Name:           python-packaging
Version:        20.4
Release:        %mkrel 1
Group:          Development/Python
Summary:        Core utilities for Python packages

License:        BSD or ASL 2.0
URL:            https://github.com/pypa/packaging
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pyparsing)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(six)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
%endif

%description
packaging Core utilities for Python packages

%package -n     python3-%{pypi_name}
Summary:        Core utilities for Python packages
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3-pyparsing
Requires:       python3-six

%description -n python3-%{pypi_name}
packaging Core utilities for Python packages

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%if %{with doc}
# generate html docs
PYTHONPATCH=$(pwd) sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Fri Jun 12 2020 kekepower <kekepower> 20.4-1.mga8
+ Revision: 1592971
- Update to version 20.4

* Thu Apr 09 2020 kekepower <kekepower> 20.3-1.mga8
+ Revision: 1565696
- Update to version 20.3

* Sun Feb 16 2020 umeabot <umeabot> 19.1-2.mga8
+ Revision: 1530874
- Mageia 8 Mass Rebuild

* Thu Sep 05 2019 wally <wally> 19.1-1.mga8
+ Revision: 1437607
- new version 19.1
- drop python2 support
- rebuild for python3.8

* Tue Jan 29 2019 kekepower <kekepower> 19.0-1.mga7
+ Revision: 1361778
- Update to version 19.0

* Sat Jan 05 2019 wally <wally> 18.0-2.mga7
+ Revision: 1349667
- rebuild for python3.7

* Sat Nov 03 2018 kekepower <kekepower> 18.0-1.mga7
+ Revision: 1327793
- Update to version 18.0

* Thu Sep 20 2018 umeabot <umeabot> 17.1-2.mga7
+ Revision: 1289508
- Mageia 7 Mass Rebuild

* Sat Mar 10 2018 kekepower <kekepower> 17.1-1.mga7
+ Revision: 1207915
- Update to version 17.1

* Mon Feb 19 2018 kekepower <kekepower> 16.8-1.mga7
+ Revision: 1203183
- imported package python-packaging

